 /***************************************************************
 * Name:      Combobox.cpp
 * Purpose:   Code for the Combobox Class
 * Author:    Jackie Team (jackie.team@gmail.com)
 * Created:   2008-02-04
 * Copyright: Jackie Team (http://musicorganizer.free.fr)
 * License: GNU GPL
 **************************************************************/
 
#ifdef WX_PRECOMP
#include "wx_pch.h"
#endif

#ifdef __BORLANDC__
#pragma hdrstop
#endif //__BORLANDC__

#include "components.h"
ComboBox::ComboBox(wxWindow* parent, wxWindowID id, const wxString& value,
                   const wxPoint& pos, const wxSize& size, const wxArrayString& choices, long style) : wxComboBox(parent,id,value,pos,size,choices,style){
}

void ComboBox::add(struct inTab* uneCase){
     Append(uneCase->label);
     setList(GetCount()-1,uneCase);
}

void ComboBox::del(long ind){
     inList.RemoveAt(ind);
}

wxString ComboBox::getText(long ind){
     return (inList.Item(ind))->label;
}

void ComboBox::setList(unsigned int indexList, struct inTab* uneCase){
     if(indexList >= inList.GetCount()){
         inList.Insert(uneCase,indexList,1);
     }else{
         inList[indexList] = uneCase;
     }
}
